#version 120

uniform sampler2D texture1;
uniform sampler2D texture2;

void main()
{
  vec4 c1 = texture2D(texture1, gl_TexCoord[0].xy);

  vec4 c2 = texture2D(texture2, gl_TexCoord[0].xy);

  float i = gl_TexCoord[0].x;

  gl_FragColor = mix(c1, c2, smoothstep(0.15, 0.80, i));
}
